package global

import (
	"fmt"
	"os"
	"xg_fetl/internal/config"
)

var Cfg *config.Config

func init() { // 初始化全局变量
	var err error
	Cfg, err = config.LoadConfig()
	if err != nil {
		panic(err)
	}
}

func InitAll() {
	//创建输出文件夹
	folderName := "GTool"
	_, err := os.Stat(folderName)
	if os.IsNotExist(err) {
		err := os.Mkdir(folderName, 0755)
		if err != nil {
			fmt.Println("创建文件夹失败:", err)
			return
		}
		fmt.Println("文件夹创建成功。")
	}
}
