package services

import (
	"xg_fetl/internal/db_executor"
	"xg_fetl/internal/models"
)

func GetDBInfoService(dbName string, executor db_executor.DBExecutor) (*models.DatabaseInfo, error) {
	dbInfo, err := executor.GetDatabaseInfo(dbName)
	if err != nil {
		return nil, err
	}

	return dbInfo, nil
}
