package main

import (
	"fmt"
	"xg_fetl/cmd"
	"xg_fetl/internal/config"
	"xg_fetl/internal/global"

	_ "github.com/go-sql-driver/mysql" // 使用 MySQL 驱动
)

func main() {
	global.InitAll()
	cfg, err := config.LoadConfig()
	if err != nil {
		fmt.Println("load config error", err)
	}
	fmt.Println(cfg)

	cmd.Execute()
}
